package com.quickblox.quickblox_sdk.chat.utils;

import com.quickblox.chat.model.QBDialogType;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by Injoit on 2022-04-08.
 * Copyright © 2022 Quickblox. All rights reserved.
 */

public class ChatDialogUtils {
    private ChatDialogUtils() {
        //private
    }

    public static Map<String, Object> buildDialog() {
        Map<String, Object> dialogMap = new HashMap<>();
        dialogMap.put("occupantsIds", new ArrayList<Integer>() {
            {
                //pushInt(109364779); //qwe11
                add(109364799); //qwe22
                //pushInt(110129179); //qwe33
                //pushInt(110129330); //qwe44
            }
        });
        dialogMap.put("name", "RN Test Dialog " + System.currentTimeMillis());
        dialogMap.put("type", QBDialogType.PRIVATE.getCode());

        return dialogMap;
    }

    public static Map<String, Object> buildDialog(String id) {
        Map<String, Object> dialogMap = new HashMap<>();
        dialogMap.put("occupantsIds", new ArrayList<Integer>() {
            {
//                pushInt(109364779); //qwe11
                add(109364799); //qwe22
                //pushInt(110129179); //qwe33
                //pushInt(110129330); //qwe44
            }
        });

        dialogMap.put("dialogId", id);
        dialogMap.put("name", "RN Test Updated Dialog " + System.currentTimeMillis());
        dialogMap.put("type", QBDialogType.PRIVATE.getCode());

        return dialogMap;
    }
}
