///Created by Injoit on 2022-04-06.
///Copyright © 2022 Quickblox. All rights reserved.
import 'package:flutter_test/flutter_test.dart';
import 'package:integration_test/integration_test.dart';
import 'package:quickblox_sdk/quickblox_sdk.dart';

void main() {
  IntegrationTestWidgetsFlutterBinding.ensureInitialized();

  setUp(() async {
    await Future.delayed(const Duration(seconds: 3), null);
  });

  test("enable SDK logging", () async {
    await QB.settings.enableLogging();
  });

  test("disable SDK logging", () async {
    await QB.settings.disableLogging();
  });

  test("enable XMPP logging", () async {
    await QB.settings.enableXMPPLogging();
  });

  test("disable XMPP logging", () async {
    await QB.settings.disableXMPPLogging();
  });
}
