import 'package:quickblox_sdk/quickblox_sdk.dart';

///Created by Injoit on 2022-04-06.
///Copyright © 2022 Quickblox. All rights reserved.

//todo: need think about better name and hierarchy. Move methods login, logout
class Credentials {
  Credentials._();

  static const String APP_ID = "";
  static const String AUTH_KEY = "";
  static const String AUTH_SECRET = "";
  static const String ACCOUNT_KEY = "";

  static const String USER_ID = "";
  static const String USER_LOGIN = "";
  static const String USER_PASSWORD = "";

  static const String DIALOG_ID = "";

  static dynamic init() async {
    return await QB.settings.init(APP_ID, AUTH_KEY, AUTH_SECRET, ACCOUNT_KEY);
  }

  static dynamic loginToRest() async {
    return await QB.auth.login(USER_LOGIN, USER_PASSWORD);
  }

  static dynamic loginToChat() async {
    return await QB.chat.connect(int.parse(Credentials.USER_ID), USER_PASSWORD);
  }

  static dynamic logoutRest() async {
    return await QB.auth.logout();
  }

  static dynamic logoutChat() async {
    return await QB.chat.disconnect();
  }
}
